### Hierarchy

- VehicleWindow

## Index

### Constructors

- constructor

### Properties

- _index
- _owner

### Accessors

- Index
- IsIntact
- Vehicle

### Methods

- remove
- repair
- rollDown
- rollUp
- smash

## Constructors

### constructor

- new VehicleWindow(owner: Vehicle, index: VehicleWindowIndex): VehicleWindow

- - Defined in models/VehicleWindow.ts:8

  #### Parameters

  - ##### owner: Vehicle

  - ##### index: VehicleWindowIndex

  #### Returns VehicleWindow

## Properties

### Private _index

_index: VehicleWindowIndex

- Defined in models/VehicleWindow.ts:6

### Private _owner

_owner: Vehicle

- Defined in models/VehicleWindow.ts:5

## Accessors

### Index

- get Index(): VehicleWindowIndex
- set Index(index: VehicleWindowIndex): void

- - Defined in models/VehicleWindow.ts:13

  #### Returns VehicleWindowIndex

- - Defined in models/VehicleWindow.ts:17

  #### Parameters

  - ##### index: VehicleWindowIndex

  #### Returns void

### IsIntact

- get IsIntact(): boolean

- - Defined in models/VehicleWindow.ts:21

  #### Returns boolean

### Vehicle

- get Vehicle(): Vehicle

- - Defined in models/VehicleWindow.ts:25

  #### Returns Vehicle

## Methods

### remove

- remove(): void

- - Defined in models/VehicleWindow.ts:45

  #### Returns void

### repair

- repair(): void

- - Defined in models/VehicleWindow.ts:29

  #### Returns void

### rollDown

- rollDown(): void

- - Defined in models/VehicleWindow.ts:41

  #### Returns void

### rollUp

- rollUp(): void

- - Defined in models/VehicleWindow.ts:37

  #### Returns void

### smash

- smash(): void

- - Defined in models/VehicleWindow.ts:33

  #### Returns void

Generated using TypeDoc